﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Drawing.Design;
using System.ComponentModel;

namespace Wisej.PropertyGridSample
{
	[TypeConverter(typeof(AddressTypeConverter))]
	[Editor(typeof(AddressEditor), typeof(UITypeEditor))]
	public class Address
	{
		public string Address1 { get; set; }
		public string Address2 { get; set; }
		public string City { get; set; }
		public string State { get; set; }
		public string ZipCode { get; set; }
		public string Country { get; set; }

		public bool IsEmpty
		{
			get
			{
				return
					String.IsNullOrEmpty(Address1)
					&& String.IsNullOrEmpty(Address2)
					&& String.IsNullOrEmpty(City)
					&& String.IsNullOrEmpty(State)
					&& String.IsNullOrEmpty(ZipCode)
					&& String.IsNullOrEmpty(Country);
			}
		}
	}
}